%define  fontname   opensans

Name:           fonts-ttf-opensans
Version:        1.0
Release:        9.4
Summary:        Humanist Sans Serif Typeface
License:        Apache-2.0
Group:          System/Fonts/True type
Url:            http://code.google.com/webfonts/family?family=Open+Sans
Source0:        %{fontname}.tar.bz2
BuildRequires:  bzip2
BuildArch: 	noarch
BuildRequires: fontconfig
BuildRequires: freetype-tools
BuildRequires:  dos2unix

%description
Open Sans is a humanist sans serif typeface designed by
Steve Matteson, Type Director of Ascender Corp.

This version contains the complete 897 character set, which
includes the standard ISO Latin 1, Latin CE, Greek and Cyrillic
character sets. Open Sans was designed with an upright stress,
open forms and a neutral, yet friendly appearance. It was
optimized for print, web, and mobile interfaces, and has
excellent legibility characteristics in its letterforms.

Designer: Steve Matteson

%prep
%setup -q -n %{fontname}

%build
chmod 644 LICENSE.txt
dos2unix LICENSE.txt

%install

mkdir -p %{buildroot}%{_datadir}/fonts/TTF/%{fontname}

install -m 644 *.ttf %{buildroot}%{_datadir}/fonts/TTF/%{fontname}
ttmkfdir %{buildroot}%{_datadir}/fonts/TTF/%{fontname} > %{buildroot}%{_datadir}/fonts/TTF/%{fontname}/fonts.dir
ln -s fonts.dir %{buildroot}%{_datadir}/fonts/TTF/%{fontname}/fonts.scale

mkdir -p %{buildroot}%_sysconfdir/X11/fontpath.d/
ln -s ../../..%_datadir/fonts/TTF/%{fontname} \
    %{buildroot}%_sysconfdir/X11/fontpath.d/ttf-%{fontname}:pri=50

%files
%defattr(-,root,root,-)
%doc LICENSE.txt
%dir %{_datadir}/fonts/TTF/%{fontname}
%{_datadir}/fonts/TTF/%{fontname}/*.ttf
%verify(not mtime) %{_datadir}/fonts/TTF/%{fontname}/fonts.dir
%{_datadir}/fonts/TTF/%{fontname}/fonts.scale
%{_sysconfdir}/X11/fontpath.d/ttf-%{fontname}:pri=50

%changelog
* Fri Jun 27 2014 Alex Burmashev <alex.burmashev@rosalab.ru> 1.0-9.4
+ Revision: 0041bea
- MassBuild#440: Increase release tag


